#32 problem compiling without gtk...

closed-fixed
nobody
None
5
2004-01-14
2003-01-11
No

./configure complies about a missing gtk installation
(well, this machine does not have one...) even if
--disable-gtk is given.

checking for pkg-config... /usr/bin/pkg-config
checking for glib >= 1.2.4 gtk+ >= 1.2.4... sh:
gtk-config: command not found
sh: gtk-config: command not found
sh: gtk-config: command not found
sh: gtk-config: command not found
sh: gtk-config: command not found
sh: gtk-config: command not found
Requested 'gtk+ >= 1.2.4' but version of GTK+ is

configure: error: Library requirements (glib >= 1.2.4
gtk+ >= 1.2.4) not met; consider adjusting the
PKG_CONFIG_PATH environment variable if your libraries
are in a nonstandard prefix so pkg-config can find them.

Discussion

  • Nobody/Anonymous

    Logged In: NO

    This happens to me with both 0.98 and 0.99!

     
  • Nobody/Anonymous

    Logged In: NO

    There are patches for this in a open gentoo bug
    (http://bugs.gentoo.org/show_bug.cgi?id=7301). Patches are
    created by me

     
  • Nobody/Anonymous

    Logged In: NO

    The --disable-gtktest flag is also bogus. Installing GTK is
    totally unreasonable as a dependency of transcode.

     
  • Nigel Pearson

    Nigel Pearson - 2004-01-07

    Logged In: YES
    user_id=112413

    Markus, thanks for those patches. They did the trick and saved
    me a lot of time. Now for imlib...

     
  • Dan Dennedy

    Dan Dennedy - 2004-01-14
    • status: open --> closed-fixed
     
  • Dan Dennedy

    Dan Dennedy - 2004-01-14

    Logged In: YES
    user_id=78682

    This has been fixed in CVS for the upcoming release.
    After reading the Gentoo bug report, I am sorry this has
    taken so long to cleanup. :-/

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks